Loading...
Searching...
No Matches
DebugUtil Namespace Reference

the DebugUtil namespace contains all the definitions in the DebugUtil module More...

## Classes

class | AbstractDebugControl
| base class for controlling debugging More...
class | DebugLogger
| class that can be used for logging More...
class | WrapperGetOpt
| class supporting argument parsing for executing programs to debug More...

## Variables

const | DUV_DEBUG = LoggerLevel::DEBUG
| logging constant: debug messages
const | DUV_DEBUG_1 = LoggerLevel::TRACE
| logging constant: detailed debug messages
const | DUV_INFO = LoggerLevel::INFO
| logging constant: info messages
const | DUV_NONE = LoggerLevel::OFF
| logging constant: no logging
const | QoreDebugProtocolVersion = "0.1"
| The debug protocol version implemented.
const | QoreDebugWsProtocolHeader = "QoreDebugWsProtocol"
| The HTTP header string for the Qore debug protocol version.

## Detailed Description

the DebugUtil namespace contains all the definitions in the DebugUtil module